Qyra
ReferenceDashboards

Get dashboard history

Get dashboard version history

GET/api/v1/dashboards/{dashboardUuidOrSlug}/history

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
dashboardUuidOrSlugstringYesuuid or slug for the dashboard

Responses

200 — Success

{
  "results": {
    "history": [
      {
        "createdBy": {
          "userUuid": "string",
          "firstName": "string",
          "lastName": "string"
        },
        "createdAt": "2024-01-01T00:00:00.000Z",
        "versionUuid": "string",
        "dashboardUuid": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}